Bullet = gideros.class(Sprite)

local bulletImage = Bitmap.new(Texture.new("Images/bullet.png"))

function Bullet:init(rotation, x,y,speed,timeSpawn)
	self.x = x
	self.originalX = x
	self.y = y
	self.originalY = y
	self.speed = speed
	self.timeSpawn = timeSpawn
	self.rotation = rotation
	self.bulletImage = bulletImage
	self.alive = true
	self:setPosition(self.x,self.y)
	self:set("rotation",rotation)
	self:addChild(self.bulletImage)
	self:addEventListener(Event.ENTER_FRAME, self.onEnterFrame, self)	
	
	--stage:addChild(self)
	
	
end

function Bullet:onEnterFrame()
	self:update()
end

function Bullet:update()
	self.x = self.x + (math.cos((self.rotation-90) * math.pi/180) * self.speed)
	self.y = self.y + (math.sin((self.rotation-90) * math.pi/180) * self.speed)
	self:setPosition(self.x,self.y)
	
	if (self.x < -10 or self.x > 510 or self.y < -10) then
		self:setPosition(self.originalX,self.originalY)
		self.alive = false
	end
end


function Bullet:getState()
	return self.alive
end

function Bullet:getTimeSpawn()
	return self.timeSpawn
end









